%define name mandriva-clubpartner
%define version 0.04
%define release %mkrel 1

Summary: Mandriva Club authentication system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
Url: http://club.mandriva.com
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: apache-mod_authnz_external

%description
This package contains script and config files to perform a direct
mandriva club member authentication 

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot/var/cache/clubauth

mkdir -p %buildroot/%_webconfdir/webapps.d

cp httpd/*.conf %buildroot/%_webconfdir/webapps.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/*
%dir %attr(0755, apache, apache) /var/cache/clubauth
%config %_webconfdir/webapps.d/*.conf

%post
%_post_webapp

%postun
%_postun_webapp





%changelog
* Thu Jul 10 2008 Olivier Thauvin <nanardon@mandriva.org> 0.04-1mdv2009.0
+ Revision: 233281
- mark config file as config
- 0.04

* Fri Jun 27 2008 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2009.0
+ Revision: 229543
- 0.03

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.02-1mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 15 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2007.1
+ Revision: 144295
- 0.02
- add README as doc

* Sun Oct 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2007.1
+ Revision: 64769
- initial rpm

